Handmade quality · Free shipping over $75 · Explore the atelier

USB Charger Cord Compatible with Hatteker Cordless Pro Hair Clippers Beard Trimmer RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Shaver Razor Power Charging Cable Replacement Black 5FT Mdscve ¡¼Proudly Made in the USA

SKU: 10850232115

4.8
USD20.99 USD50.99

Pay in 4 interest-free payments of $5.25 Learn more

Shipping Estimate
USA
  • USA
  • CAN

Ships within 48 hours · Estimated delivery Oct 8 - Oct 13

Description

¡¼Proudly Made in the USA ¡½

achieving the desired effect with just one pass

Choose The Right Size

all with one device

Perfect Design -- The professional designed for QP6530/70

USB Charger Cord Compatible with Hatteker Cordless Pro Hair Clippers Beard Trimmer RFC-588 RFC-598 RFC-690 RFC-692 RFC-696 RSCX-7568 RSCX-9598 Shaver Razor Power Charging Cable Replacement Black 5FT Mdscve ¡¼Proudly Made in the USABrand: Mixyaceh Color: Black Features: Specification: Hatteker charger Input: 100 240V, Output: 5V 1A 5W, Hatteker charger cord replacement length: 5FT. Compatible: Hatteker charging cable Compatible with Hatteker cordless hair trimmer hair clipper beard trimmer RFC 588 RFC 598 RFC 690 RFC 692 RFC 696 RSCX 7568 RSCX 9598 Shaver Razor. Safety Protection: Hatteker cordless beard trimmer charger is CE FCC RoHS certification and tested by manufacture,

Exchange/Return Notes
  • We offer a 30-day return/exchange service after receiving.
  • Final sale items are not eligible for returns or exchanges.
  • To process your return/exchange, please contact us at [email protected]
  • Please click here for more details>>> Return & Exchange Policy

You may also like

recommand products